"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HashValidator = void 0;
/**
 * Numeric string
 */
class HashValidator {
    /**
     * Validates if a string is a valid hash.
     * @param {string} value     * @returns {true | string}
     */
    validate(value) {
        const hashLength = 64;
        return typeof value !== 'string' || value.length !== hashLength ? 'Hash must be a 64 characters string' : true;
    }
}
exports.HashValidator = HashValidator;
